from Products.CMFCore import CMFCorePermissions

try:
    from Products.LinguaPlone.public import *
except ImportError:
    from Products.Archetypes.public import *


from config import *


schema = Schema((

    ImageField(
        'ECardImage',
        languageIndependent=True,
        sizes={'thumb': (128,128),
               'normal' : (400,400),
               'big': (800,800)},
        primary=1,
        widget = ImageWidget(
                        description = "Select the image to be added by clicking the 'Browse' button.",
                        description_msgid = "help_image",
                        label= "Image",
                        label_msgid = "label_image",
                        i18n_domain = "plone",
                        show_content_type = False,
                        ),
        ),
        TextField('ECardImageDescription',
              searchable=1,
              required=0,
              widget = TextAreaWidget(),
              ),
    ))


class ATECardImage(BaseContent):

    portal_type = meta_type = 'ATECardImage'
    archetype_name = 'ATECardImage'
    global_allow = 0
    filter_content_types = 1
    content_icon = "atecardimage_icon.gif"

    schema = BaseSchema + schema

    
    def getTitle(self):
        return self.Title()

    def getDescription(self, **kwargs):
        return self.getECardImageDescription(**kwargs)

registerType(ATECardImage, PROJECTNAME)
