"""
"""
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.utils import ContentInit
from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore.CMFCorePermissions import AddPortalContent
from config import *


skin_globals=globals()
ADD_CONTENT_PERMISSION = AddPortalContent



# Make the skins available as DirectoryViews.
def initialize(context):

    import ATECardContainer
    import ATECardImage
    import ATECard
    
    

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME), PROJECTNAME)

    registerDirectory('skins', skin_globals)


    ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        #permission         = ADD_CONTENTS_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)


